ReportingCloud

GET /v1/templates/exists

Endpoint

GET https://api.reporting.cloud/v1/templates/exists

Description

Returns true if the template storage holds a template of the given name, and false if it doesn't. The name is matched regardless of case.

Examples

Request:

curl -u username:password \
  -X GET "https://api.reporting.cloud/v1/templates/exists?templateName=sample_invoice.tx"

Results:

true

Authorization

This endpoint requires a "ReportingCloud-APIKey" or a "Basic" user authorization to access the user account, data and templates. Only one of these two methods is required.

API Keys describes how to create an API key, and Authentication explains both header forms.

ReportingCloud-APIKey

Header fieldDescription
AuthorizationRequired. A valid ReportingCloud account is required. The Authorization field is constructed as follows: An API key needs to be generated in the portal or with PUT /v1/account/apikey. The authorization method and a space, "ReportingCloud-APIKey ", is then put before the actual API key string. For example: Authorization: ReportingCloud-APIKey oMDM4MrAqL9QEOpyzupnQW5NjvCNtvE5cVDaaLqxI

Basic

Header fieldDescription
AuthorizationRequired. A valid ReportingCloud account is required. The Authorization field is constructed as follows: The user name and password are combined into a string separated by a colon, for example username:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space, "Basic ", is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l

Request Parameters

NameTypeValueOptional
templateNameStringThe filename of the template to be checked for availability in the template storage. The filename is not case-sensitive.no

Success Response

StatusDescription
200On success, the HTTP status code in the response header is 200 (OK). The response body contains a boolean value. The value is true, if the template exists and false, if the template doesn't exist in the template storage.

Error Response

StatusDescription
403A 403 (Forbidden) is returned, if the user is not authorized.
404A 404 (Not Found) is returned, if a required query parameter is missing.
405A 405 (Method Not Allowed) is returned, if the request uses another HTTP method than GET. The Allow header of the response names GET.
500A 500 (Internal Server Error) is returned, if the request has no Authorization header, an empty one or one that is not the authorization method, a space and the credentials.